/*
/// Sidebar nav
*/

.sidebar {
  position: relative;
  z-index: 10;
  background: var(--sidebar-color-background,var(--color-gray-50));
}

.nav-wrapper {
  overflow-y: auto;
  max-height: calc(100vh - var(--offset-page));
}

.sidebar-nav {
  padding: calc(var(--baseline) / 1.5) calc(var(--baseline) / 2);
  height: 100%;
  font-size: var(--text-xs);

  --tab: 1.5em;
}

.sidebar-nav .context-RegularPages {
  margin-top: 1px;
}

.sidebar-nav .icon {
  margin-right: calc(var(--baseline) / 4);
}

.sidebar-nav > ul > li {
  margin-bottom: calc(var(--baseline) / 2);
}

.sidebar-nav a {
  display: inline-block;
  padding: calc(var(--baseline) / 5) 1em;
  width: 100%;
  text-decoration: none;
  border-radius: 0.125rem;
}
.sidebar-nav a:hover,
.sidebar-nav summary:hover {
  color: var(--sidebar-color-link--hover,var(--color-gray-700));
  background: var(--sidebar-color-link-background--hover,var(--color-gray-100));
}

.sidebar-nav .active {
  background: var(--color-gray-100);
}

.sidebar-nav summary {
  padding-left: 1em;
  color: var(--color-gray-400);
}
.sidebar-nav summary > a,
.sidebar-nav li a {
  color: var(--sidebar-color-link,var(--color-gray-700));
}
.sidebar-nav summary.active > span > a,
.sidebar-nav .active > a {
  color: var(--sidebar-color-link--active,var(--color-gray-800));
}

.context-RegularPages::before {
  position: absolute;
  content: "•";
  top: 0;
  left: 0.75rem;
  display: inline-block;
  line-height: 2.25;
  color: #a0aec0;
}

/* 1st level Sections */
.sidebar-nav ul ul details summary a {
  padding-left: 0.333rem;
}
/* 2nd level Sections */
.sidebar-nav ul ul ul details summary {
  padding-left: calc(0.75rem + var(--tab));
}
/* 3rd level Sections */
.sidebar-nav ul ul ul ul details summary {
  padding-left: calc(0.75rem + var(--tab) * 2);
}

/* 1st level RegularPages */
.sidebar-nav ul ul > li > a {
  padding-left: 1.75rem;
}
/* 2nd level RegularPages */
.sidebar-nav ul ul ul > li > a {
  padding-left: calc(1.75rem + var(--tab));
}
.sidebar-nav ul ul ul > li.context-RegularPages::before {
  left: calc(0.75rem + var(--tab));
}
/* 3rd level RegularPages */
.sidebar-nav ul ul ul ul > li > a {
  padding-left: calc(1.75rem + var(--tab) * 2);
}
.sidebar-nav ul ul ul ul > li.context-RegularPages::before {
  left: calc(0.75rem + var(--tab) * 2);
}

@media (max-width: 63.9375rem) {
  /* < 1024px */

  .sidebar {
    position: fixed;
    top: var(--offset-page);
    right: 5rem;
    bottom: 0;
    left: 0;
    font-size: 125%;
  }
  .sidebar::after {
    position: fixed;
    content: "";
    top: var(--offset-page);
    right: 0;
    bottom: 0;
    display: block;
    width: 5rem;
    background-color: rgba(0,0,0,0.25);
  }
}


@media (min-width: 64rem) {
  /* >= 1024px */

  .nav-wrapper {
    /* autoprefixer: off */
    position: -webkit-sticky;
    position: sticky;
    top: var(--offset-page);
  }
  .context-RegularPages a::before {
    padding-top: 0;
  }
}
